summaryrefslogtreecommitdiffstats
path: root/contrib/dialog/samples/fselect1
diff options
context:
space:
mode:
authornwhitehorn <nwhitehorn@FreeBSD.org>2011-01-12 14:55:02 +0000
committernwhitehorn <nwhitehorn@FreeBSD.org>2011-01-12 14:55:02 +0000
commit3d4e8889889e5e36302454225999f7e146d3219c (patch)
treefa315b999f531039df54ab7af8e99f7e8daad77c /contrib/dialog/samples/fselect1
parentb905920a72950a63c9782b4911d252bfac08db6e (diff)
downloadFreeBSD-src-3d4e8889889e5e36302454225999f7e146d3219c.zip
FreeBSD-src-3d4e8889889e5e36302454225999f7e146d3219c.tar.gz
Update dialog to version 20100428. This changes the license under which
dialog is distributed from GPLv2 to LGPLv2 and introduces a number of new features and a new and better libdialog API. The existing libdialog will be kept temporarily as libodialog for compatibility purposes until sade, sysinstall and tzsetup have been either updated or replaced. __FreeBSD_version is now 900030. Discussed on: -current Approved by: core Obtained from: http://invisible-island.net/dialog
Diffstat (limited to 'contrib/dialog/samples/fselect1')
-rwxr-xr-xcontrib/dialog/samples/fselect120
1 files changed, 20 insertions, 0 deletions
diff --git a/contrib/dialog/samples/fselect1 b/contrib/dialog/samples/fselect1
new file mode 100755
index 0000000..5913794
--- /dev/null
+++ b/contrib/dialog/samples/fselect1
@@ -0,0 +1,20 @@
+#!/bin/sh
+# $Id: fselect1,v 1.9 2010/01/13 10:20:03 tom Exp $
+
+. ./setup-vars
+
+FILE=$HOME
+for n in .cshrc .profile .bashrc
+do
+ if test -f $HOME/$n ; then
+ FILE=$HOME/$n
+ break
+ fi
+done
+
+exec 3>&1
+RESULT=`$DIALOG --title "Please choose a file" "$@" --fselect $FILE 14 48 2>&1 1>&3`
+retval=$?
+exec 3>&-
+
+. ./report-string
OpenPOWER on IntegriCloud